<template>
  <Card>
    <div class="flex flex-between flex-middle history_header">
      <button
        class="flat_btn"
        :class="{active: activeComponent==='CommissionsFullBody', disabled: !isAuth && activeComponent==='CommissionsCalendarBody'}"
        @click="isAuth && (activeComponent = 'CommissionsFullBody')">
        {{$t("commissions.history")}}
      </button>
      <button
        class="flat_btn"
        :class="{active: activeComponent==='CommissionsCalendarBody'}"
        @click="checkActiveComponent('CommissionsCalendarBody')">
        <Calendar :opened="activeComponent==='CommissionsCalendarBody'"></Calendar>
      </button>
      <button
        class="flat_btn"
        :class="{active: activeComponent==='CommissionsReferralsSort', disabled: !isAuth && activeComponent==='CommissionsCalendarBody'}"
        @click="isAuth && (activeComponent = 'CommissionsReferralsSort')">
        {{$t("commissions.referrals")}}
      </button>
      <button
        class="flat_btn"
        :class="{active: activeComponent==='CommissionsReferrals', disabled: !isAuth && activeComponent==='CommissionsCalendarBody'}"
        @click="isAuth && (activeComponent = 'CommissionsReferrals')">
        {{referralCount}}
      </button>
    </div>
    <components :is="activeComponent"></components>
  </Card>
</template>

<script>
  import CommissionsBody from './body';
  import CommissionsFullBody from './body_full';
  import CommissionsCalendarBody from './body_calendar';
  import CommissionsReferrals from './body_referrals';
  import CommissionsReferralsSort from './body_referrals_sort';
  import Calendar from '~/components/fullHistory/calendar';
  import Card from '~/components/fullHistory/components/Card';

  export default {
    name: "commissions_stats",
    data() {
      return {
        activeComponent: 'CommissionsFullBody'
      }
    },
    components: {
      CommissionsBody,
      CommissionsFullBody,
      CommissionsCalendarBody,
      CommissionsReferralsSort,
      CommissionsReferrals,
      Calendar,
      Card
    },
    computed: {
      isAuth() {
        return this.$store.state.user.isAuth;
      },
      referralCount() {
        return this.$store.state.players.count;
      }
    },
    methods: {
      checkActiveComponent(active) {
        if (!this.isAuth) return;
        if (active === this.activeComponent && active === 'CommissionsCalendarBody') {
          this.activeComponent = 'CommissionsFullBody'
        } else {
          this.activeComponent = 'CommissionsCalendarBody'
        }
      }
    },
    mounted() {
      if (!this.isAuth) {
        this.activeComponent = 'CommissionsCalendarBody'
      }
    },
    created() {
      this.$store.dispatch('players/fetchCount');
    }
  }
</script>
